import setuptools
import os

cwd = os.getcwd()
requirements_path = os.path.join(cwd, "requirements.txt")

with open("README.md", "r", encoding="utf-8") as fhand:
    long_description = fhand.read()

REQUIREMENTS = [i.strip() for i in open(requirements_path).readlines()]

setuptools.setup(
    name="Dev-Helper-CLI",
    version="0.0.2",
    author="Luis Moreno",
    author_email="luis.cfh.90@gmail.com",
    description=("A CLI program to help devs be more productive."),
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/luigicfh/Dev-Helper-2.0",
    project_urls={
        "Bug Tracker": "https://github.com/luigicfh/Dev-Helper-2.0/issues",
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    install_requires=REQUIREMENTS,
    packages=setuptools.find_packages(),
    python_requires=">=3.6",
    entry_points={
        "console_scripts": [
            "dh = dh.cli:parse",
        ]
    }
)